### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.storedprocess.metadata

# Class StoredProcessOptions

java.lang.Object
com.sas.services.storedprocess.metadata.StoredProcessOptions

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class StoredProcessOptions extends Object implements Serializable
Options object used to control the type and behavior of the Stored Process service object. Typical use is to obtain a StoredProcessOptions object by invoking the `StoredProcessOptions()` constructor and then calling various setters to configure the object. After configuration, the object is used as a parameter to one of the newServiceObject methods of `StoredProcessInterface`. Once the parameter is consumed by the called newServiceObject method, the object is sealed and calling any setters after it is sealed results in the setter method throwing an IllegalStateException.

The effect of the various settings is comprehensively covered in the documentation for `StoredProcessServiceInterface.newStoredProcess(StoredProcessInterface, StoredProcessOptions)`.

Since:
  9.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoredProcessOptions()`
  Constructs a StoredProcessOptions object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SessionContextInterface`
  `getSessionContextInterface()`
  `com.sas.util.UsageVersion`
  `getUsageVersion()`
  `boolean`
  `isSealed()`
  Describes whether this options object is sealed.
  `void`
  `seal()`
  Seal the options object.
  `void`
  `setSessionContextInterface(SessionContextInterface sessionContext)`
  Sets the SessionContextInterface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StoredProcessOptions

    public StoredProcessOptions()
    Constructs a StoredProcessOptions object. The object is constructed with the following settings:
    - SessionContextInterface set to null.
    - UsageVersion set to `StoredProcessInterface.NINETWO_VERSION` and is only used for manually created stored processes.

    For complete details of the effects of all settings see `StoredProcessServiceInterface.newStoredProcess(StoredProcessInterface, StoredProcessOptions)`.

- ## Method Details

  - ### setSessionContextInterface

    public void setSessionContextInterface(SessionContextInterface sessionContext)
    Sets the SessionContextInterface.

    For complete details of the effects of all settings see `StoredProcessServiceInterface.newStoredProcess(StoredProcessInterface, StoredProcessOptions)`.

    Parameters:
      `sessionContext` - see above
    Throws:
      `IllegalStateException` - if the object is sealed

  - ### getSessionContextInterface

    public SessionContextInterface getSessionContextInterface()

  - ### getUsageVersion

    public com.sas.util.UsageVersion getUsageVersion()

  - ### isSealed

    public boolean isSealed()
    Describes whether this options object is sealed. The object is sealed once the call to newServiceObject (in which it is a parameter) is invoked.
    Returns:
      the sealed status

  - ### seal

    public void seal()
    Seal the options object.